•  
      request #14397 API Explorer should use Swagger UI v3
    Infos
    #14397
    Thomas Gerbet (tgerbet)
    2020-01-14 13:41
    2020-01-13 14:30
    15149
    Details
    API Explorer should use Swagger UI v3
    The API Explorer page currently rely on a outdated version of the deprecated and no more maintained Swagger UI v2.


    This comes with multiple problems and disadvantages:
    * the API Explorer has several known vulnerabilities
    * the dependencies of the API Explorer have several known vulnerabilities
    * the new version is faster than the old one

    (The two first bullets are reasons enough to justify the upgrade).


    Also the code is bundled directly with the rest of the Tuleap codebase which does not make things easy to distinguish what is Tuleap code and what is not. It also does not ease the maintenance and upgrade process.
    • [ ] enhancement
    • [ ] internal improvement
    API (SOAP|REST)
    All
    Empty
    Empty
    Stage
    Thomas Gerbet (tgerbet)
    Closed
    2020-01-14
    Attachments
    Empty
    References

    Follow-ups